Page MenuHomePhabricator

Fix styling inconsistencies between context item and inspector
Closed, DuplicatePublic

Description

Now that the two are very similar, we should fix the small differences, such as padding and title positioning.

Event Timeline

Esanders created this task.Feb 26 2015, 6:25 PM
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a project: VisualEditor.
Esanders added subscribers: Esanders, TrevorParscal.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2015, 6:25 PM
Jdforrester-WMF triaged this task as Normal priority.Mar 2 2015, 12:56 AM
Jdforrester-WMF moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.
Jdforrester-WMF set Security to None.
Rits added a subscriber: Rits.Mar 12 2015, 6:17 PM

hello, i wanted to work on this bug, please explain it further for the starting pointers, thanks

I agree. These needs steps (or links to documentation) how to see the "inspector" and what "context item" refers to here so a contributor could pick this up. @Esanders?

In VisualEditor:

  • A context menu is the small popup displayed when you place cursor on something with additional properties, like a link. Context item is a single entry in that popup (there can be more than one in some cases).
  • An inspector is the bigger popup displayed when you click "Edit" in the small popup. It lets you modify the properties of the highlighted thing and sometimes provides additional action buttons.

Change 196853 had a related patch set uploaded (by Rits):
T90896 Changed CSS of Context menu Edit button and inspector's Done button by adding a margin-right of 0.625em

https://gerrit.wikimedia.org/r/196853

Change 196853 had a related patch set uploaded (by Rits):
Fixed styling inconsistencies between context item and inspector

https://gerrit.wikimedia.org/r/196853

Change 196853 abandoned by Bartosz Dziewoński:
Fixed styling inconsistencies between context item and inspector

Reason:
(Patch apparently forgotten by uploader, and a more complete fix is on our roadmap.)

https://gerrit.wikimedia.org/r/196853

matmarex removed Rits as the assignee of this task.May 8 2015, 10:32 PM
matmarex removed a project: Patch-For-Review.
matmarex removed a subscriber: gerritbot.
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Jun 17 2015, 11:38 PM